Skip to main content
GET
/
workspaces
/
{workspace_id}
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "settings": {
    "effective_allowed_attachment_extensions": [
      "<string>"
    ],
    "effective_allowed_attachment_mime_types": [
      "<string>"
    ],
    "git_repo_url": "<string>",
    "workflow_unlimited_timeout_enabled": true,
    "workflow_default_timeout_seconds": 123,
    "allowed_attachment_extensions": [
      "<string>"
    ],
    "allowed_attachment_mime_types": [
      "<string>"
    ],
    "validate_attachment_magic_number": true
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
name
string
required
organization_id
string<uuid>
required
settings
WorkspaceSettingsRead · object | null